# -*- rpm-spec -*-
# $Id: xemacs-x-symbol,v 1.7 2004/06/05 13:50:53 me Exp $

%define xemacs_package x-symbol

Name: xemacs-x-symbol
Version: 1.10
Release: alt1

Summary: Semi WISIWYG for LaTeX, HTML, etc, using additional fonts
License: GPL
Group: Editors
Url: http://ftp.xemacs.org/pub/xemacs/packages/

Source: %url/%xemacs_package-%version-pkg.tar.bz2

PreReq: xemacsen
Requires: xemacs-auctex xemacs-mail-lib

BuildArch: noarch
BuildPreReq: xemacsen

%description
When you edit LaTeX, HTML, BibTeX or TeXinfo sources in Emacs,
package X-Symbol provides some kind of WYSIWYG by using real characters
for tokens like `\oplus' or `&trade;'.  It also provides various input
methods to insert these characters.

%prep
%setup -q -c

%install
%__mkdir_p %buildroot{%_xemacs_package_dir,%_xemacs_infodir}
%__cp -a . %buildroot%_xemacs_package_dir
%__install -m0644 info/*.info* %buildroot%_xemacs_infodir 
%xemacs_package_find_files

%post
%xemacs_install_info %xemacs_package.info

%preun
%xemacs_uninstall_info %xemacs_package.info

%files -f %name-files

%changelog
* Sat Jun 05 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.10-alt1
- 1.10

* Sat Feb 07 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.09-alt1
- 1.09

* Sat Nov 15 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.07-alt1
- 1.07

* Sat Jul 05 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.05-alt1
 - 1.05

* Sat Jun 07 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.04-alt1
- 1.04

* Mon May 19 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.03-alt1
- first build for %distribution distribution

